# BindingCompleteEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [BindingComplete](/api/wisej.web/data-binding/wisej.web.binding.md#bindingcomplete) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class BindingCompleteEventArgs : CancelEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class BindingCompleteEventArgs
    Inherits CancelEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingCompleteEventArgs(binding, state, context, errorText, exception, cancel)

Initializes a new instance of the [BindingCompleteEventArgs](/api/wisej.web/data-binding/wisej.web.bindingcompleteeventargs.md) class with the specified binding, error state and text, binding context, and exception.

| Name          | Type                                                                                      | Description                                                                                                                                 |
| ------------- | ----------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| **binding**   | [Binding](/api/wisej.web/data-binding/wisej.web.binding.md)                               | The binding associated with this occurrence of a [BindingComplete](/api/wisej.web/data-binding/wisej.web.binding.md#bindingcomplete) event. |
| **state**     | [BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md)     | One of the [BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md) values.                                    |
| **context**   | [BindingCompleteContext](/api/wisej.web/data-binding/wisej.web.bindingcompletecontext.md) | One of the [BindingCompleteContext](/api/wisej.web/data-binding/wisej.web.bindingcompletecontext.md) values.                                |
| **errorText** | [String](https://docs.microsoft.com/dotnet/api/system.string)                             | The error text or exception message for errors that occurred during the binding.                                                            |
| **exception** | [Exception](https://docs.microsoft.com/dotnet/api/system.exception)                       | The [Exception](https://docs.microsoft.com/dotnet/api/system.exception) that occurred during the binding.                                   |
| **cancel**    | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                           |                                                                                                                                             |

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingCompleteEventArgs(binding, state, context, errorText, exception)

Initializes a new instance of the [BindingCompleteEventArgs](/api/wisej.web/data-binding/wisej.web.bindingcompleteeventargs.md) class with the specified binding, error state and text, and binding context.

| Name          | Type                                                                                      | Description                                                                                                                                 |
| ------------- | ----------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| **binding**   | [Binding](/api/wisej.web/data-binding/wisej.web.binding.md)                               | The binding associated with this occurrence of a [BindingComplete](/api/wisej.web/data-binding/wisej.web.binding.md#bindingcomplete) event. |
| **state**     | [BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md)     | One of the [BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md) values.                                    |
| **context**   | [BindingCompleteContext](/api/wisej.web/data-binding/wisej.web.bindingcompletecontext.md) | One of the [BindingCompleteContext](/api/wisej.web/data-binding/wisej.web.bindingcompletecontext.md) values.                                |
| **errorText** | [String](https://docs.microsoft.com/dotnet/api/system.string)                             | The error text or exception message for errors that occurred during the binding.                                                            |
| **exception** | [Exception](https://docs.microsoft.com/dotnet/api/system.exception)                       |                                                                                                                                             |

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingCompleteEventArgs(binding, state, context, errorText)

Initializes a new instance of the [BindingCompleteEventArgs](/api/wisej.web/data-binding/wisej.web.bindingcompleteeventargs.md) class with the specified binding, error state, and binding context.

| Name          | Type                                                                                      | Description                                                                                                                                 |
| ------------- | ----------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| **binding**   | [Binding](/api/wisej.web/data-binding/wisej.web.binding.md)                               | The binding associated with this occurrence of a [BindingComplete](/api/wisej.web/data-binding/wisej.web.binding.md#bindingcomplete) event. |
| **state**     | [BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md)     | One of the [BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md) values.                                    |
| **context**   | [BindingCompleteContext](/api/wisej.web/data-binding/wisej.web.bindingcompletecontext.md) | One of the [BindingCompleteContext](/api/wisej.web/data-binding/wisej.web.bindingcompletecontext.md) values.                                |
| **errorText** | [String](https://docs.microsoft.com/dotnet/api/system.string)                             |                                                                                                                                             |

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingCompleteEventArgs(binding, state, context)

Initializes a new instance of the [BindingCompleteEventArgs](/api/wisej.web/data-binding/wisej.web.bindingcompleteeventargs.md) class with the specified binding, error state, and binding context.

| Name        | Type                                                                                      | Description                                                                                                                                 |
| ----------- | ----------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| **binding** | [Binding](/api/wisej.web/data-binding/wisej.web.binding.md)                               | The binding associated with this occurrence of a [BindingComplete](/api/wisej.web/data-binding/wisej.web.binding.md#bindingcomplete) event. |
| **state**   | [BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md)     | One of the [BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md) values.                                    |
| **context** | [BindingCompleteContext](/api/wisej.web/data-binding/wisej.web.bindingcompletecontext.md) | One of the [BindingCompleteContext](/api/wisej.web/data-binding/wisej.web.bindingcompletecontext.md) values.                                |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Binding

[Binding](/api/wisej.web/data-binding/wisej.web.binding.md): Returns the binding associated with this occurrence of a [BindingComplete](/api/wisej.web/data-binding/wisej.web.binding.md#bindingcomplete) event.

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingCompleteContext

[BindingCompleteContext](/api/wisej.web/data-binding/wisej.web.bindingcompletecontext.md): Returns the direction of the binding operation.

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingCompleteState

[BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md): Returns the completion state of the binding operation.

### ![](/files/hsR4ok3152WyAf8J2C1u) ErrorText

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the text description of the error that occurred during the binding operation.

### ![](/files/hsR4ok3152WyAf8J2C1u) Exception

[Exception](https://docs.microsoft.com/dotnet/api/system.exception): Returns the exception that occurred during the binding operation.

## Used By

| Name                                                                                                | Description                                                                                                                         |
| --------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| [BindingCompleteEventHandler](/api/wisej.web/data-binding/wisej.web.bindingcompleteeventhandler.md) | Represents the delegate that handles the [BindingComplete](/api/wisej.web/data-binding/wisej.web.binding.md#bindingcomplete) event. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.bindingcompleteeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
